// required start
@import 'custom';
@import '~bootstrap/scss/functions';
@import '~bootstrap/scss/variables';
@import '~bootstrap/scss/mixins';
// required end
@import "stresstest/button";
@import "stresstest/images";
@import "stresstest/general";
@import "stresstest/modal";
@import "stresstest/override";

body {
    background-color: #E8F7FF;
    background: radial-gradient(171.37% 72.88% at 54.4% 20.6%, #FFFFFF 0%, rgba(255, 255, 255, 0) 100%), #E8F7FF;
}

.lct {
    &__stress_test {
        background-image: url(../images/stresstest/orn-cloud-1.png);
        background-position: 50% 100%;
        background-repeat: no-repeat;
        background-size: auto 100px;

        &__outer {
            .container {
                position: relative;
            }

            picture {
                margin-left: auto;
                margin-right: auto;
                max-width: 200px;

                &.logo {
                    &__main {
                        max-width: 100px;
                    }
                }

                &.ornament-cube {
                    margin-bottom: .75rem;
                }
            }

            p {
                color: #003EA5;
                line-height: 1.4;
                font-size: 13px;
                padding-left: .5rem;
                padding-right: .5rem;
                margin-top: 1rem;
                margin-bottom: 1rem;
            }

            button {
                width: 180px;
            }

            @media screen and (min-width: 375px) and (max-width: 767px) and (min-height: 667px){
                picture {
                    max-width: 260px;
                }

                p {
                    font-size: 14px;
                }

                button {
                    width: 240px;
                }
            }

            @media screen and (min-width: 400px){
                picture {
                    max-width: 280px;
                }

                p {
                    font-size: 1rem;
                    margin-top: 1.5rem;
                    margin-bottom: 1.5rem;
                }
            }
        }

        @include media-breakpoint-up(md) {
            &__outer {
                picture {
                    max-width: none;

                    &.logo {
                        &__main {
                            max-width: 140px;
                        }
                    }

                    &.ornament-cube {
                        position: absolute;
                        bottom: 0;
                        left: 0;
                        width: 100%;
                    }
                }

                p {
                    margin-top: 2rem;
                    margin-bottom: 2rem;
                }

                button {
                    margin-bottom: 7rem;
                    width: 270px;
                }
            }
        }
    }
}

.modal {
    .modal-dialog {
        .modal-content {
            .modal-body {
                p {
                    line-height: 1.4;
                }
            }

            .modal-footer {
                .btn {
                    width: 270px;
                }
            }
        }
    }
}